# <ruby lang="ja">字<rp>(</rp><rt>じ</rt><rp>)</rp>ちゃん</ruby>

<ruby lang="ja">字<rp>(</rp><rt>じ</rt><rp>)</rp>ちゃん</ruby> is the Discord bot for the Tegaki Tuesday handwriting challenge. For more information on the challenge, please visit the [website](https://tegakituesday.com).

She is written in Rust using the [serenity](https://github.com/serenity-rs/serenity) crate along with [poise](https://github.com/serenity-rs/poise) for slash commands, and the overall structure of the codebase is based on [official example 6](https://github.com/serenity-rs/serenity/tree/current/examples/e06_sample_bot_structure). If you want to make a Discord bot using serenity, please refer to the official examples rather than this repository because I probably don't know what I'm doing.

Stroke order diagrams are sourced via linking from [github.com/mistval/kanji_images](https://github.com/mistval/kanji_images).

Kanji lists are modified from [github.com/ffe4/kanji-lists](https://github.com/ffe4/kanji-lists), with the addition of [Hyōgai kanji](https://en.wikipedia.org/wiki/Hy%C5%8Dgai_kanji).

### Usage

You are free to use the code in this repository however you like under the license terms, *provided* you do not use the "Tegaki Tuesday" or "字ちゃん" names in your derivative projects. Thank you!
